Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.api
Interface SourceLocation

All Known Implementing Classes:
  Activity, AssignActivity, BpelObject, BpelObject4WSDL, Catch, CommunicationHelper, CompensateActivity, CompensateScopeActivity, CompensationHandler, CompletionCondition, CompositeActivity, Copy, Correlation, Correlations, CorrelationSet, CorrelationSets, CreateInstanceActivity, EmptyActivity, Expression, Expression11, ExtensionVal, FailureHandling, FaultHandler, FlowActivity, ForEachActivity, From, IfActivity, IfActivity.Case, Import, InvokeActivity, JoinFailureSuppressor, Link, Links, LinkSource, LinkTarget, LiteralVal, OnAlarm, OnEvent, OnMessage, PartnerLink, PartnerLinks, PartnerLinkType, PartnerLinkType.Role, PartnerLinkType.Role11, PartnerLinkType.Role11.PortType11, PartnerLinkVal, PickActivity, Process, Property, PropertyAlias, PropertyAlias11, PropertyVal, Query, Query11, RdfLabel, ReceiveActivity, RepeatUntilActivity, ReplyActivity, RethrowActivity, Scope, ScopeActivity, ScopeLikeActivity, SequenceActivity, SourceLocatorWrapper, Sources, SwitchActivity, SwitchActivity.Case, Targets, TerminateActivity, TerminationHandler, ThrowActivity, To, ToFrom, Variable, Variables, VariableVal, VariableVal11, WaitActivity, WhileActivity, WhileActivity11

    public interface SourceLocation

Interface for objects that have some relation to a particular location in a source file.

Method Summary
`int` | `getColumnNo()` Column number.
`int` | `getLineNo()` Line number.
`java.lang.String` | `getPath()` Location path (not a file path, but a path in an expression).
`java.net.URI` | `getURI()` URI of the source file.

Method Detail

### getURI

    java.net.URI getURI()

  URI of the source file.

  Returns:

### getLineNo

    int getLineNo()

  Line number.

  Returns:

### getColumnNo

    int getColumnNo()

  Column number.

  Returns:

### getPath

    java.lang.String getPath()

  Location path (not a file path, but a path in an expression).

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD